org.apache.sysds.runtime.io

## Class IOUtilFunctions.CountRowsTask

- java.lang.Object
- - org.apache.sysds.runtime.io.IOUtilFunctions.CountRowsTask

All Implemented Interfaces:
  Callable<Long>

Enclosing class:
  IOUtilFunctions

    public static class IOUtilFunctions.CountRowsTask
    extends Object
    implements Callable<Long>

### Constructor Summary

Constructors
Constructor and Description
`CountRowsTask(org.apache.hadoop.mapred.InputSplit split, org.apache.hadoop.mapred.TextInputFormat inputFormat, org.apache.hadoop.mapred.JobConf jobConf)`
`CountRowsTask(org.apache.hadoop.mapred.InputSplit split, org.apache.hadoop.mapred.TextInputFormat inputFormat, org.apache.hadoop.mapred.JobConf jobConf, boolean header)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Long` `call()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CountRowsTask

    public CountRowsTask(org.apache.hadoop.mapred.InputSplit split,
                         org.apache.hadoop.mapred.TextInputFormat inputFormat,
                         org.apache.hadoop.mapred.JobConf jobConf)

#### CountRowsTask

    public CountRowsTask(org.apache.hadoop.mapred.InputSplit split,
                         org.apache.hadoop.mapred.TextInputFormat inputFormat,
                         org.apache.hadoop.mapred.JobConf jobConf,
                         boolean header)

### Method Detail

#### call

    public Long call()
              throws Exception

Specified by:
  `call` in interface `Callable<Long>`
Throws:
  `Exception`